org.apache.cassandra.repair.messages

## Class CleanupMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.CleanupMessage

    public class CleanupMessage
    extends RepairMessage

Message to cleanup repair resources on replica nodes.

Since:
  2.1.6

### Nested Class Summary

Nested Classes
`static class` `CleanupMessage.CleanupMessageSerializer`

### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

`RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

### Field Summary

Fields
`java.util.UUID` `parentRepairSession`
`static RepairMessage.MessageSerializer` `serializer`

### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

`desc, messageType`

### Constructor Summary

Constructors
Constructor and Description
`CleanupMessage(java.util.UUID parentRepairSession)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

`createMessage`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static RepairMessage.MessageSerializer serializer

#### parentRepairSession

    public final java.util.UUID parentRepairSession

### Constructor Detail

#### CleanupMessage

    public CleanupMessage(java.util.UUID parentRepairSession)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`